Reject a project step by approver ID with a rejection_reason
curl --request PATCH \
--url https://api.zivio.net/api/v3/job_approvals/{id}/reject \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>' \
--data 'rejection_reason=Project does not meet the requirements'import requests
url = "https://api.zivio.net/api/v3/job_approvals/{id}/reject"
payload = { "rejection_reason": "Project does not meet the requirements" }
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-API-Key': '<api-key>',
'zivio-tenant-id': '<api-key>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({rejection_reason: 'Project does not meet the requirements'})
};
fetch('https://api.zivio.net/api/v3/job_approvals/{id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Project rejection triggered for Sales Project 128"
}Job Approvals
Reject a project step by approver ID with a rejection_reason
PATCH
/
job_approvals
/
{id}
/
reject
Reject a project step by approver ID with a rejection_reason
Path Parameters
ID of the Approver record, not a User ID
Body
application/x-www-form-urlencoded
Reason for rejection
Example:
"Project does not meet the requirements"
Response
ok
Example:
"Project rejection triggered for Sales Project 128"
⌘I

